/*
 This file and its contents are limited to the author only.
 See the file "LICENSE" for the full license governing this code.
 Differing and additional copyright notices are defined below.
*/
/* 
    Project    : Marketing Echterhoff
    File       : _utils.scss
    Created on : 02.10.2014, 18:13:50
    Encoding   : UTF-8

    Author     : H. Christian Kusmanow <christian.kusmanow@teslasoft.de>
    Company    : Teslasoft
    Copyright  : Copyright © 2014, H. Christian Kusmanow
*/

@import "array";

@mixin background($imgpath,$position:0 0,$repeat: no-repeat) {
  background: transparent image-url(#{$imgpath}) $repeat $position;
}

@import "typography";

@import "transitions";

@mixin rotate($degrees) {
  -webkit-transform: rotate($degrees);
  -moz-transform: rotate($degrees);
  -ms-transform: rotate($degrees);
  -o-transform: rotate($degrees);
  transform: rotate($degrees);
  $M11 : cos($degrees);
  $M12 : -1*sin($degrees);
  $M21 : sin($degrees);
  $M22 : cos($degrees);
  -ms-filter: "progid:DXImageTransform.Microsoft.Matrix(sizingMethod='auto expand', M11=#{$M11}, M12=#{$M12}, M21=#{$M21}, M22=#{$M22})";
  filter:  progid:DXImageTransform.Microsoft.Matrix(sizingMethod='auto expand', M11=#{$M11}, M12=#{$M12}, M21=#{$M21}, M22=#{$M22});
}
@import "rotations";

@mixin skew($degreeX,$degreeY) {
  -webkit-transform: skew($degreeX,$degreeY);
  -moz-transform: skew($degreeX,$degreeY);
  -ms-transform: skew($degreeX,$degreeY);
  -o-transform: skew($degreeX,$degreeY);
  transform: skew($degreeX,$degreeY);
  $M11 : 1;
  $M12 : sin( $degreeX );
  $M21 : sin( $degreeY );
  $M22 : 1;
  -ms-filter: "progid:DXImageTransform.Microsoft.Matrix(M11=#{$M11}, M12=-#{$M12}, M21=-#{$M21}, M22=#{$M22}, SizingMethod='auto expand')";
  filter: progid:DXImageTransform.Microsoft.Matrix(M11=#{$M11}, M12=-#{$M12}, M21=-#{$M21}, M22=#{$M22}, SizingMethod='auto expand');
}